# tst/testall.g RAQ

LoadPackage( "RAQ" );

tst_path := DirectoriesPackageLibrary("RAQ", "tst");

TestDirectory(tst_path,
              rec(exitGAP := false,
                  testOptions := rec(compareFunction := "uptowhitespace"))
             );

auto_file := Filename(tst_path, "AutoDoc_tests.g");

if auto_file <> fail then
  Read(auto_file);
else
  Info(InfoWarning, 1, "Warning: Cannot find AutoDoc_tests.g. Run `gap doc/makedoc.g` in the RAQ package directory.");
fi;
